"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Item = void 0;
const react_1 = __importDefault(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const wouter_1 = require("wouter");
const use_location_1 = require("wouter/use-location");
const External_1 = __importDefault(require("@procyon/components/Icons/External"));
const Item = (props) => {
    var _a;
    const { onClick, item, item: { icon, external }, className, collapsed, } = props;
    const handleOnClick = () => {
        onClick(item);
    };
    const pathname = (0, use_location_1.usePathname)();
    const { matcher } = (0, wouter_1.useRouter)();
    const [isActive] = matcher((_a = item === null || item === void 0 ? void 0 : item.href) !== null && _a !== void 0 ? _a : '', pathname);
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)('menu-container', className) },
        react_1.default.createElement("div", { className: (0, clsx_1.default)('menu-item', {
                'menu-item--active': isActive,
            }), onClick: handleOnClick },
            icon && (react_1.default.createElement("div", { className: (0, clsx_1.default)('text-2xl menu-item-icon', {
                    'menu-item-icon-only': !item.label,
                }) }, icon)),
            react_1.default.createElement("div", { className: (0, clsx_1.default)({
                    'menu-item-tooltip': collapsed,
                }) }, item.label),
            external && (react_1.default.createElement("div", { className: "ml-2" },
                react_1.default.createElement(External_1.default, null))))));
};
exports.Item = Item;
